routes/web.php
<?php

use App\Http\Controllers\EnfantsController;
use App\Http\Controllers\ResponsiblesController;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('home');
})->name('home');

Route::get('/extraits/{enfant}', [EnfantsController::class,'ActeDeNaissance'])->name('extraits');
Route::get('/listPrimaire', [EnfantsController::class,'LesEnfantsEnPrimaire'])->name('primary');
Route::get('/listOrphelina', [EnfantsController::class,'LesEnfantsDansOrphelina'])->name('orphelina');
Route::get('/listFoyer', [EnfantsController::class,'LesEnfantsEnFoyer'])->name('foyer');

Route::resource('/enfants', EnfantsController::class);
Route::resource('/responsibles', ResponsiblesController::class);

app/Models/Responsible.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Responsible extends Model
{
    use HasFactory;
    protected $fillable = ['first_name', 'last_name', 'phone', 'email','adress','profil'];

    public function fullName(){
        return $this->first_name.' '.$this->last_name;
    }

    public function enfants(){
        return $this->hasMany('App\Models\Enfant');
    }
}

app/Http/Controllers/ResponsiblesController.php
<?php

namespace App\Http\Controllers;

use App\Http\Requests\ResponsiblesFormRequest;
use App\Models\Responsible;
use Illuminate\Http\Request;

class ResponsiblesController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $responsibles = Responsible::paginate(15);
       return view('pages.responsibles.index', compact('responsibles'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        $responsible = new Responsible();
        return view( 'pages.responsibles.create', compact('responsible') );
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(ResponsiblesFormRequest $request)
    {
        Responsible::create([
            'first_name'    => $request->first_name,
            'last_name' => $request->last_name,
            'email' => $request->email,
            'phone' => $request->phone,
            'adress' => $request->adress,
            'profil' => $request->profil,
        ]);

        return redirect()->route('responsibles.index');
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Models\responsible  $responsible
     * @return \Illuminate\Http\Response
     */
    public function show(Responsible $responsible)
    {
        return view( 'pages.responsibles.show', compact('responsible') );
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Models\responsible  $responsible
     * @return \Illuminate\Http\Response
     */
    public function edit(Responsible $responsible)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Models\responsible  $responsible
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Responsible $responsible)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Models\responsible  $responsible
     * @return \Illuminate\Http\Response
     */
    public function destroy(Responsible $responsible)
    {
        //
    }
}

resources/views/pages/responsibles/create.blade.php
@extends('layouts.master')

@section('title',  'Nouveau Responsables')

@section('head')
    <link href="{{ asset('assets/vendor/select2/select2.min.css') }}" rel="stylesheet" />
@endsection

@section('content')
    <section class="admin-content">
        <div class="bg-dark m-b-30">
            <div class="container">
                <div class="row p-b-60 p-t-60">
                    <div class="col-md-8 m-auto text-white p-b-30">
                        <h1>Ajouter un nouveau Responsable</h1>
                    </div>
                    <div class="col-md-4 m-auto text-white p-b-30">
                        <div class="text-md-right">
                            <a href="{{ route('responsibles.index') }}" class="btn btn-success"> <i class="mdi mdi-arrow-left-bold-circle"></i> Annuler</a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="container  pull-up">
            <div class="row">
                <div class="col-12">
                    <div class="card m-b-30">
                        <div class="card-body ">
                            <form action="{{ route('responsibles.store') }}" method="POST">
                                @csrf
                                @include('layouts.partials._formResponsibles', ['submitButtonText' => 'Ajouter'])
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
@endsection

resources/views/pages/responsibles/edit.blade.php
@extends('layouts.master')

@section('title',  'Modifier infos du Propriétaire')

@section('head')
    <link href="{{ asset('assets/vendor/select2/select2.min.css') }}" rel="stylesheet" />
@endsection

@section('content')
    <section class="admin-content">
        <div class="bg-dark m-b-30">
            <div class="container">
                <div class="row p-b-60 p-t-60">
                    <div class="col-md-8 m-auto text-white p-b-30">
                        <h1>Modifier</h1>
                    </div>
                    <div class="col-md-4 m-auto text-white p-b-30">
                        <div class="text-md-right">
                            <a href="{{ route('owners.index') }}" class="btn btn-success"> <i class="mdi mdi-arrow-left-bold-circle"></i> Annuler</a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="container  pull-up">
            <div class="row">
                <div class="col-12">
                    <div class="card m-b-30">
                        <div class="card-body ">
                            <form action="{{ route('owners.update',$owner) }}" method="POST">
                                @csrf
                                {{ method_field('PUT') }}
                                @include('layouts.partials._formResponsibles',['submitButtonText'=>'Modifier'])
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
@endsection

resources/views/pages/responsibles/index.blade.php
@extends('layouts.master')

@section('title', 'Responsables')
@section('content')
    <section class="admin-content">
        <div class="bg-dark m-b-30">
            <div class="container">
                <div class="row p-b-60 p-t-60">

                    <div class="col-md-8 m-auto text-white p-b-30">
                        <h1>Responsables</h1>
                    </div>

                    <div class="col-md-4 m-auto text-white p-b-30">
                        <div class="text-md-right">
                            <a href="{{ route('responsibles.create') }}" class="btn btn-success"> <i class="mdi mdi-plus"></i> Nouveau Responsable</a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="container pull-up">
            <div class="row">
                <div class="col-12">
                    <div class="card">
                        <div class="card-body">
                            <div class="table-responsive p-t-10">
                                <table id="example" class="table   " style="width:100%">
                                    <thead>
                                        <tr>
                                            <th>Nom</th>
                                            <th>Email</th>
                                            <th>Téléphone</th>
                                            <th>Profil</th>
                                            <th>Adresse</th>
                                            <th>Actions</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        @foreach ($responsibles as $responsible)
                                            <tr>
                                                <td>
                                                    {{	$responsible->fullName()  }}
                                                </td> 
                                                <td>
                                                    {{ $responsible->email }}
                                                </td>
                                                <td>
                                                    {{ $responsible->phone }}
                                                </td>
                                                <td>
                                                    {{ $responsible->profil }}
                                                </td>
                                                <td>
                                                    {{ $responsible->adress }}
                                                </td>
                                                <td>
                                                    <a href="{{ route('responsibles.show',$responsible) }}" class="btn  btn-primary">Voir</a>
                                                </td>
                                            </tr>
                                        @endforeach
                                    </tbody>
                                    <tfoot>
                                        <tr>
                                            <th>Nom</th>
                                            <th>Email</th>
                                            <th>Téléphone</th>
                                            <th>Profil</th>
                                            <th>Adresse</th>
                                            <th>Actions</th>
                                        </tr>
                                    </tfoot>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            
            <div class="row justify-content-center">
                <nav aria-label="">
                    {{-- {{ $Responsibles->links() }} --}}
                </nav>
            </div>
        </div>
    </section>
@endsection

resources/views/pages/responsibles/show.blade.php
@extends('layouts.master')

@section('title',  $responsible->first_name.' '.$responsible->last_name)

@section('head')
    <link href="{{ asset('assets/vendor/select2/select2.min.css') }}" rel="stylesheet" />
@endsection

@section('content')
    <section class="admin-content">
        <div class="bg-dark m-b-30">
            <div class="container">
                <div class="row p-b-60 p-t-60">
                    <div class="col-md-8 m-auto text-white p-b-30">
                        <h1>{{ $responsible->first_name.' '.$responsible->last_name }}</h1>
                    </div>
                    <div class="col-md-4 m-auto text-white p-b-30">
                        <div class="text-md-right">
                            <a href="{{ route('responsibles.edit', $responsible) }}" class="btn btn-info"> <i class="mdi mdi-account-edit"></i> Modifier</a>
                        </div> 
                    </div>
                </div>
            </div>
        </div>
        <div class="container  pull-up">
            <div class="row">
                <div class="col-12">
                    <div class="card m-b-30">
                        <div class="card-body ">
                            <form method="POST" action="{{ route('responsibles.destroy',$responsible) }}">
                                {{ csrf_field() }}
                                {{ method_field('DELETE') }}
                                <div class="form-row">
                                  <div class="form-group col-md-6">
                                    <label for="first_name">Prénom</label>
                                    <input type="text" name="first_name" class="form-control" id="first_name" value="{{ $responsible->first_name }}" disabled>
                                    @error('first_name')
                                        <span class="help-block invalidFeedback">{{ $message }}</span>
                                    @enderror
                                  </div>
                                  <div class="form-group col-md-6">
                                    <label for="last_name">Nom</label>
                                    <input type="text" name="last_name" class="form-control" id="last_name" value="{{ $responsible->last_name }}" disabled>
                                    @error('las_tname')
                                        <span class="help-block invalidFeedback">{{ $message }}</span>
                                    @enderror
                                  </div>
                                </div>
                                <div class="form-row">
                                  <div class="form-group col-md-6">
                                    <label for="email">Email</label>
                                    <input type="text" name="email" class="form-control" id="email" value="{{ $responsible->email }}" disabled>
                                  </div>
                                  <div class="form-group col-md-6">
                                    <label for="phone">Téléphone</label>
                                    <input type="text" name="phone" class="form-control" id="phone" value="{{ $responsible->phone }}" disabled>
                                  </div>
                                </div>
                                <div class="form-row">
                                    <div class="form-group col-md-6">
                                        <label for="profil">Profil</label>
                                        <input type="text" name="profil" class="form-control" id="profil" value="{{ $responsible->profil }}" disabled>    
                                    </div>
                                    <div class="form-group col-md-6">
                                        <label for="adress">Adresse</label>
                                        <input type="text" name="adress" class="form-control" id="adress" value="{{ $responsible->adress }}" disabled>
                                    </div>
                                </div>
                                <input type="submit" class="btn btn-danger btn-block" value="Supprimer">
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
@endsection